#****************************************************************************
#**
#**  File     :  /units/URL010702/URL010702_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Elite Heavy Infantry Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CDFLaserHeavyWeapon = CybranWeaponsFile.CDFLaserHeavyWeapon
local EffectUtil = import('/lua/EffectUtilities.lua')



URL010702 = Class(CWalkingLandUnit) {
    Weapons = {
		LaserArms01 = Class(CDFLaserHeavyWeapon) {},
    },

}

TypeClass = URL010702
