#****************************************************************************
#**
#**  File     :  /units/URS010302/URS010302_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran  Elite Frigate Script
#**
#**  Copyright  2006 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CSeaUnit = import('/lua/cybranunits.lua').CSeaUnit
local CybranWeaponsFile = import('/lua/cybranweapons.lua')
local CAAAutocannon = CybranWeaponsFile.CAAAutocannon
local CDFProtonCannonWeapon = CybranWeaponsFile.CDFProtonCannonWeapon


URS010302 = Class(CSeaUnit) {
    DestructionTicks = 200,

    Weapons = {
        ProtonCannon = Class(CDFProtonCannonWeapon) {},
		ProtonCannon01 = Class(CDFProtonCannonWeapon) {},
		ProtonCannon02 = Class(CDFProtonCannonWeapon) {},
        AAGun = Class(CAAAutocannon) {},
		AAGun01 = Class(CAAAutocannon) {},
    },	
	
}

TypeClass = URS010302
