#****************************************************************************
#**
#**  File     :  /units/XSA010302/XSA010302_script.lua
#**  Author(s):  Jessica St. Croix
#**
#**  Summary  :  Seraphim Elite Bomber Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SAirUnit = import('/lua/seraphimunits.lua').SAirUnit
local SDFBombOtheWeapon = import('/lua/seraphimweapons.lua').SDFBombOtheWeapon


XSA010302 = Class(SAirUnit) {
    Weapons = {
        Bomb = Class(SDFBombOtheWeapon) {},
    },
		
    OnStopBeingBuilt = function(self, builder, layer)
        SAirUnit.OnStopBeingBuilt(self,builder,layer)
		local bp = self:GetBlueprint()
		self:SetSpeedMult(bp.Physics.Upgrade04SpeedMultiplier)

    end,	
}

TypeClass = XSA010302