#****************************************************************************
#**
#**  File     :  /units/UAL010602/UAL010602_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Light Assault Bot Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AWalkingLandUnit = import('/lua/aeonunits.lua').AWalkingLandUnit
local ADFSonicPulsarWeapon = import('/lua/aeonweapons.lua').ADFSonicPulsarWeapon
local ADFLaserLightWeapon = import('/lua/aeonweapons.lua').ADFLaserLightWeapon


UAL010602 = Class(AWalkingLandUnit) {
    Weapons = {
        ArmLaserTurret = Class(ADFSonicPulsarWeapon) {},
		ArmLaserTurretMod = Class(ADFLaserLightWeapon) {},
		ArmLaserTurretMod02 = Class(ADFLaserLightWeapon) {},
    },
	
}


TypeClass = UAL010602