#****************************************************************************
#**
#**  File     :  /units/UEA010202/UEA010202_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Elite Terran Interceptor Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TAirUnit = import('/lua/terranunits.lua').TAirUnit
local TAirToAirLinkedRailgun = import('/lua/terranweapons.lua').TAirToAirLinkedRailgun
local Buff = import('/lua/sim/Buff.lua')


UEA010202 = Class(TAirUnit) {
    PlayDestructionEffects = true,
    DamageEffectPullback = 0.25,
    DestroySeconds = 7.5,

    Weapons = {
        LinkedRailGun = Class(TAirToAirLinkedRailgun) {
        },
    },
	
	
    OnStopBeingBuilt = function(self, builder, layer)
        TAirUnit.OnStopBeingBuilt(self,builder,layer)
		local bp = self:GetBlueprint()
	    self:SetSpeedMult(bp.Physics.Upgrade03SpeedMultiplier)    
    end,	
	
}

TypeClass = UEA010202