do
   local MyUnitIdTable = {
--SERAPHIMS      
		'xsse0001',  
		'xsbse0001',
		'xsl0405',
		'xsl0302',
		'xsl0310',
		'xsb2306',
		'xsa0306',
		'xsl0206',	
		###v1.7####		
		'xsle0001',		
		###v1.8####		
		'xsl0110',
		'xsb5201',
		###v1.9####	
		'xsa0105',		
		'xss0105',	
		###v1.9 Elite Factories####				
		'xsb0104',
		'xsb0105',
		'xsb0106',
		'xsb0107',
		###v1.9 Elite Units####	
		'xsl010302',	
		'xsl010402',	
		'xsl020102',
		'xsl010102',	
		'xsa010202',
		'xsa010302',
		'xss020302',
		'xss020402',
		'xss020502',	
		'xss010402',
		'xss010302',		
		###v1.9 Navales Structures####			
		'xsb1107',
		'xsb1108',		
		###v1.9 Nouvelles Units Navales####			
		'xss0104',
		'xss0106',		
		'xss0205',
		'xss0204',	
		###v1.9 Subs Structures####		
		'xsb0100',	
		###v1.9 Airs Structures####
		'xsb2105',	
		'xsb2106',					
--FTU	  
		'uese0001', 
		'uebse0001',
		'uea0401',
		'uea0402',
		'uea0110',
		'uel0206',
		'ueb4205',
		###v1.7####		
		'uelew0001',
		###v1.8####		
		'uea0306',
		'ueb5201',
		'uel0108',
		###v1.9####	
		'uea0105',
		'uea0115',
		'ues0105',
		###v1.9 Elite Factories####				
		'ueb0104',
		'ueb0105',
		'ueb0106',
		'ueb0107',
		###v1.9 Elite Units####	
		'uel010302',	
		'uel010402',	
		'uel010602',
		'uel020102',
		'uel010102',
		'uea010202',
		'uea010302',
		'uea010502',
		'ues010302',
		'ues010402',
		'ues020502',
		'ues020402',
		'ues020302',
		###v1.9 Navales Structures####			
		'ueb1107',
		'ueb1108',
		'ueb2102',
		'ueb2110',
		###v1.9 Nouvelles Units Navales####			
		'ues0104',
		'ues0106',
		'ues0204',
		'ues0205',
		###v1.9 Subs Structures####		
		'ueb0100',
		###v1.9 Airs Structures####
		'ueb2105',		
		'ueb2106',
--CYBRANS	  
		'urse0001', 
		'urbse0001',
		'urb4401',
		'url0302',
		'xrl0405',
		'url0405',
		'url0311',
		'ura0110',
		'urb5001',
		###v1.7####		
		'urlew0001',
		###v1.8####		
		'url0206',
		'urb5201',
		'ura0205',
		###v1.9 Engee####	
		'ura0105',
		'urs0105',			
		###v1.9 Elite Factories####				
		'urb0104',			
		'urb0118218',	
		'urb0106',
		'urb0107',		
		###v1.9 Elite Units####	
		'url010102',	
		'url010302',	
		'url010402',
		'url010702',
		'url010602',
		'ura010202',
		'ura010302',
		'xra010502',
		'urs020302',
		'urs020402',
		'urs020502',	
		'urs010402',	
		'urs010302',		
		###v1.9 Navales Structures####			
		'urb1107',
		'urb1108',
		'urs0204',
		'urs0205',		
		###v1.9 Nouvelles Units Navales####			
		'urs0104',
		'urs0106',
		###v1.9 Subs Structures####		
		'urb0100',	
		###v1.9 Airs Structures####
		'urb2105',	
		'urb2106',				
		###v1.9####	
		'url0320',			
--AEONS	  
		'uase0001',
		'uabse0001',
		'ual0305',	
		'ual0405',
		'ual0311',
		'uab2310',
		'ual0302',	
		'ual5001',
		###v1.7####		
		'ualew0001',
		###v1.8####		
		'ual0108',
		'uab5201',
		'uas0301',
		###v1.9 Engee####	
		'uaa0105',
		'uaa0105',
		'uas0105',					
		###v1.9 Elite Factories####				
		'uab0105',				
		'uab0104',
		'uab0106',
		'uab0107',
		###v1.9 Elite Units####	
		'uaa010202',
		'uaa010302',
		'ual010102',
		'ual010302',
		'ual010402',
		'ual010602',
		'ual020102',
		'uas010302',
		'uas010402',
		'uas020302',
		'uas020402',
		'uas020502',
		###v1.9 Navales Structures####			
		'uab1107',
		'uab1108',			
		###v1.9 Nouvelles Units Navales####	
		'uas0104',
		'uas0106',
		'uas0205',
		'uas0204',
		###v1.9 Subs Structures####		
		'uab0100',		
		###v1.9 Airs Structures####
		'uab2105',	
		'uab2106',				
   }


   local MyIconPath = "/Mods/SoftLastAsdruMod"
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   local oldUpdateWindow = UpdateWindow
   function UpdateWindow(info)
      oldUpdateWindow(info)
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds')
      end
   end
end