#****************************************************************************
#**
#**  File     :  /units/XRA010502/XRA010502_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Cybran Gunship Script Elite
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

#Mods\SoftLastAsdruMod\hook\lua
local CAirUnit = import('/Mods/SoftLastAsdruMod/hook/lua/cybranmodunits.lua').CAirUnit
local CDFLaserHeavyWeapon = import('/lua/cybranweapons.lua').CDFLaserHeavyWeapon02



XRA010502 = Class(CAirUnit) {
    Weapons = {
		MainGun = Class(CDFLaserHeavyWeapon) {	
		},
    },

    OnStopBeingBuilt = function(self, builder, layer)
        CAirUnit.OnStopBeingBuilt(self,builder,layer)
		local bp = self:GetBlueprint()
	    self:SetSpeedMult(bp.Physics.Upgrade03SpeedMultiplier)    
    end,	
}

TypeClass = XRA010502