#****************************************************************************
#**
#**  File     :  /units/XSL020102/XSL020102_script.lua
#**  Author(s):  Jessica St. Croix, Greg Kohne, Aaron Lundquist
#**
#**  Summary  :  Seraphim Elite Medium Tank Script
#**
#**  Copyright  2007 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SLandUnit = import('/lua/seraphimunits.lua').SLandUnit
local SDFOhCannon = import('/lua/seraphimweapons.lua').SDFOhCannon
local SDFPhasicAutoGunWeapon = import('/lua/seraphimweapons.lua').SDFPhasicAutoGunWeapon


XSL020102 = Class(SLandUnit) {
    Weapons = {
        MainGun = Class(SDFOhCannon) {},
		MainGun01 = Class(SDFOhCannon) {},
		MainGun02 = Class(SDFPhasicAutoGunWeapon) {},
		MainGun03 = Class(SDFPhasicAutoGunWeapon) {},
		MainGun04 = Class(SDFPhasicAutoGunWeapon) {},
    },
	
}
TypeClass = XSL020102
