#****************************************************************************
#** 
#**  File     :  /units/XSB0107/XSB0107_script.lua 
#** 
#** 
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local SSeaFactoryUnit = import('/lua/seraphimunits.lua').SSeaFactoryUnit

XSB0107 = Class(SSeaFactoryUnit) {

    BuildAttachBone = 'Attachpoint',
    UpgradeThreshhold1 = 0.167,
    UpgradeThreshhold2 = 0.5,

    OnCreate = function(self)
        SSeaFactoryUnit.OnCreate(self)
        self.Rotator1 = CreateRotator(self, 'Pod01', 'z', nil, 60, 0, 0)
		self.Rotator1 = CreateRotator(self, 'Pod02', 'z', nil, -60, 0, 0)
        self.Trash:Add(self.Rotator1)
		self.Trash:Add(self.Rotator2)
    end,

    OnKilled = function(self, instigator, type, overkillRatio)
        self.Rotator1:SetSpeed(0)
		--self.Rotator2:SetSpeed(0)
        SSeaFactoryUnit.OnKilled(self, instigator, type, overkillRatio)
    end,

}
	
TypeClass = XSB0107

