#****************************************************************************
#**
#**  File     :  /units/UAA0105/UAA0105_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon T1 Engineer Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local AConstructionUnit = import('/lua/aeonunits.lua').AConstructionUnit

UAA0105 = Class(AConstructionUnit) {

    OnStopBeingBuilt = function(self,builder,layer)
        AConstructionUnit.OnStopBeingBuilt(self,builder,layer)
        self.Rotator1 = CreateRotator(self, 'UAL01', 'y', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator1)
        self.Rotator2 = CreateRotator(self, 'UAL02', 'x', nil, 200, 5, 200)
        self.Trash:Add(self.Rotator2)

    end,	

}

TypeClass = UAA0105