#****************************************************************************
#**
#**  File     :  /units/UAS0104/UAS0104_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Arty Frigate Script: UAS0103
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local ASeaUnit = import('/lua/aeonunits.lua').ASeaUnit
local AeonWeapons = import('/lua/aeonweapons.lua')
local AIFArtilleryMiasmaShellWeapon = import('/lua/aeonweapons.lua').AIFArtilleryMiasmaShellWeapon
local EffectTemplate = import('/lua/EffectTemplates.lua')


UAS0104 = Class(ASeaUnit) {

    Weapons = {
		MainGun = Class(AIFArtilleryMiasmaShellWeapon) {},
    },
	
    OnCreate = function(self)
		ASeaUnit.OnCreate(self)
			self:HideBone('Upgrade01', true)  
    end,	
	
}

TypeClass = UAS0104
