#****************************************************************************
#**
#**  File     :  /units/UEA010302/UEA010302_script.lua
#**  Author(s):  John Comes, David Tomandl, Gordon Duclos
#**
#**  Summary  :  Terran Carpet Bomber Unit Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************
#
# Terran Bomber Script : UEA010302
#
local TAirUnit = import('/lua/terranunits.lua').TAirUnit
local TIFCarpetBombWeapon = import('/lua/terranweapons.lua').TIFCarpetBombWeapon
local TIFCarpetBombWeapon02 = import('/lua/terranweapons.lua').TIFCarpetBombWeapon
local Buff = import('/lua/sim/Buff.lua')




UEA010302 = Class(TAirUnit) {
    Weapons = {
        Bomb = Class(TIFCarpetBombWeapon) {
        },
	},
    DamageEffectPullback = 0.5,
	
    OnStopBeingBuilt = function(self, builder, layer)
        TAirUnit.OnStopBeingBuilt(self,builder,layer)
		local bp = self:GetBlueprint()
		self:SetSpeedMult(bp.Physics.Upgrade04SpeedMultiplier)

    end,	
}

TypeClass = UEA010302

