#****************************************************************************
#**
#**  File     :  /units/UEL020102/UEL020102_script.lua
#**  Author(s):  Unit By Asdrubaelvect 
#**
#**  Summary  :  UEF Medium Tank vet 5 Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local TDFGaussCannonWeapon = import('/lua/terranweapons.lua').TDFGaussCannonWeapon
local TSAMLauncher = import('/lua/terranweapons.lua').TSAMLauncher

UEL020102 = Class(TLandUnit) {
    Weapons = {
		UpgradeGun = Class(TDFGaussCannonWeapon) {},
		MissileRack01 = Class(TSAMLauncher) {},
    },

}

TypeClass = UEL020102